curl --request PUT \
--url https://api.messaging.phonovation.com/ccaas/1/queues/{queueId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Spanish Support",
"isAutoAssignmentEnabled": true,
"autoAssignmentAlgorithm": "LOAD_BALANCING",
"isAutoAssignmentOutsideOfWorkingHoursEnabled": false,
"stickyAgentTimeoutDays": 7,
"isStickyAutoAssignmentEnabled": true,
"workingHoursId": null,
"isRestricted": false,
"externalId": null
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/queues/{queueId}"
payload = {
"name": "Spanish Support",
"isAutoAssignmentEnabled": True,
"autoAssignmentAlgorithm": "LOAD_BALANCING",
"isAutoAssignmentOutsideOfWorkingHoursEnabled": False,
"stickyAgentTimeoutDays": 7,
"isStickyAutoAssignmentEnabled": True,
"workingHoursId": None,
"isRestricted": False,
"externalId": None
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/queues/{queueId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"name\": \"Spanish Support\",\n \"isAutoAssignmentEnabled\": true,\n \"autoAssignmentAlgorithm\": \"LOAD_BALANCING\",\n \"isAutoAssignmentOutsideOfWorkingHoursEnabled\": false,\n \"stickyAgentTimeoutDays\": 7,\n \"isStickyAutoAssignmentEnabled\": true,\n \"workingHoursId\": null,\n \"isRestricted\": false,\n \"externalId\": null\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/ccaas/1/queues/{queueId}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Spanish Support\",\n \"isAutoAssignmentEnabled\": true,\n \"autoAssignmentAlgorithm\": \"LOAD_BALANCING\",\n \"isAutoAssignmentOutsideOfWorkingHoursEnabled\": false,\n \"stickyAgentTimeoutDays\": 7,\n \"isStickyAutoAssignmentEnabled\": true,\n \"workingHoursId\": null,\n \"isRestricted\": false,\n \"externalId\": null\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/queues/{queueId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Spanish Support',
'isAutoAssignmentEnabled' => true,
'autoAssignmentAlgorithm' => 'LOAD_BALANCING',
'isAutoAssignmentOutsideOfWorkingHoursEnabled' => false,
'stickyAgentTimeoutDays' => 7,
'isStickyAutoAssignmentEnabled' => true,
'workingHoursId' => null,
'isRestricted' => false,
'externalId' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Spanish Support',
isAutoAssignmentEnabled: true,
autoAssignmentAlgorithm: 'LOAD_BALANCING',
isAutoAssignmentOutsideOfWorkingHoursEnabled: false,
stickyAgentTimeoutDays: 7,
isStickyAutoAssignmentEnabled: true,
workingHoursId: null,
isRestricted: false,
externalId: null
})
};
fetch('https://api.messaging.phonovation.com/ccaas/1/queues/{queueId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "25774a87-078a-4fe7-8d43-127809479964",
"name": "Queue name",
"enabledAgentsCount": null,
"enabledRoutesCount": null,
"createdAt": "2024-01-01T00:00:00.000+00:00",
"updatedAt": "2024-01-01T00:00:00.000+00:00",
"isAutoAssignmentEnabled": false,
"stickyAgentTimeoutDays": 30,
"isStickyAutoAssignmentEnabled": null,
"workingHoursId": null,
"isPrivate": false,
"deletedAt": null
}Update queue
Use this method to update the queue. More info
Required scope: Enable one of: conversations:manage.
curl --request PUT \
--url https://api.messaging.phonovation.com/ccaas/1/queues/{queueId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Spanish Support",
"isAutoAssignmentEnabled": true,
"autoAssignmentAlgorithm": "LOAD_BALANCING",
"isAutoAssignmentOutsideOfWorkingHoursEnabled": false,
"stickyAgentTimeoutDays": 7,
"isStickyAutoAssignmentEnabled": true,
"workingHoursId": null,
"isRestricted": false,
"externalId": null
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/queues/{queueId}"
payload = {
"name": "Spanish Support",
"isAutoAssignmentEnabled": True,
"autoAssignmentAlgorithm": "LOAD_BALANCING",
"isAutoAssignmentOutsideOfWorkingHoursEnabled": False,
"stickyAgentTimeoutDays": 7,
"isStickyAutoAssignmentEnabled": True,
"workingHoursId": None,
"isRestricted": False,
"externalId": None
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/queues/{queueId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"name\": \"Spanish Support\",\n \"isAutoAssignmentEnabled\": true,\n \"autoAssignmentAlgorithm\": \"LOAD_BALANCING\",\n \"isAutoAssignmentOutsideOfWorkingHoursEnabled\": false,\n \"stickyAgentTimeoutDays\": 7,\n \"isStickyAutoAssignmentEnabled\": true,\n \"workingHoursId\": null,\n \"isRestricted\": false,\n \"externalId\": null\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/ccaas/1/queues/{queueId}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Spanish Support\",\n \"isAutoAssignmentEnabled\": true,\n \"autoAssignmentAlgorithm\": \"LOAD_BALANCING\",\n \"isAutoAssignmentOutsideOfWorkingHoursEnabled\": false,\n \"stickyAgentTimeoutDays\": 7,\n \"isStickyAutoAssignmentEnabled\": true,\n \"workingHoursId\": null,\n \"isRestricted\": false,\n \"externalId\": null\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/queues/{queueId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Spanish Support',
'isAutoAssignmentEnabled' => true,
'autoAssignmentAlgorithm' => 'LOAD_BALANCING',
'isAutoAssignmentOutsideOfWorkingHoursEnabled' => false,
'stickyAgentTimeoutDays' => 7,
'isStickyAutoAssignmentEnabled' => true,
'workingHoursId' => null,
'isRestricted' => false,
'externalId' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Spanish Support',
isAutoAssignmentEnabled: true,
autoAssignmentAlgorithm: 'LOAD_BALANCING',
isAutoAssignmentOutsideOfWorkingHoursEnabled: false,
stickyAgentTimeoutDays: 7,
isStickyAutoAssignmentEnabled: true,
workingHoursId: null,
isRestricted: false,
externalId: null
})
};
fetch('https://api.messaging.phonovation.com/ccaas/1/queues/{queueId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "25774a87-078a-4fe7-8d43-127809479964",
"name": "Queue name",
"enabledAgentsCount": null,
"enabledRoutesCount": null,
"createdAt": "2024-01-01T00:00:00.000+00:00",
"updatedAt": "2024-01-01T00:00:00.000+00:00",
"isAutoAssignmentEnabled": false,
"stickyAgentTimeoutDays": 30,
"isStickyAutoAssignmentEnabled": null,
"workingHoursId": null,
"isPrivate": false,
"deletedAt": null
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Id of the queue being updated.
Body
Queue name.
255Queue Auto-assignment toggle.
Queue Auto-assignment algorithm.
LOAD_BALANCING, ROUND_ROBIN, PERFORMANCE_BASED, LOAD_BALANCING, ROUND_ROBIN, PERFORMANCE_BASED Queue Auto-assignment Outside of Working hours toggle
Number of days since last interaction with the customer.
Auto-assignment according to last interaction with the customer.
Working hours Id queue belongs to
Is queue restricted.
External identifier for the queue.
Response
OK
Queue name.
255Queue Auto-assignment toggle.
Queue Auto-assignment algorithm.
LOAD_BALANCING, ROUND_ROBIN, PERFORMANCE_BASED, LOAD_BALANCING, ROUND_ROBIN, PERFORMANCE_BASED Queue Auto-assignment Outside of Working hours toggle
Number of days since last interaction with the customer.
Auto-assignment according to last interaction with the customer.
Working hours Id queue belongs to
Is queue restricted.
Is queue private.